Bug 1008614 - Missing javax.enterprise.concurrent.api module
Missing javax.enterprise.concurrent.api module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wildfly (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On: 1008962
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 13:09 EDT by Juan Hernández
Modified: 2013-09-26 20:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: jboss-logging-tools-1.2.0-0.1.Beta1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 20:35:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Hernández 2013-09-16 13:09:35 EDT
Description of problem:

The javax.enterprise.concurrent.api module is required by the existing javaee.api module.

Version-Release number of selected component (if applicable):

wildfly-8.0.0-0.6.Alpha3.fc21.noarch
Comment 1 Marek Goldmann 2013-09-17 07:36:39 EDT
The jboss-concurrency-api_1.0_spec needs to be packaged, I'm on it.
Comment 2 Fedora Update System 2013-09-18 02:52:56 EDT
jboss-logging-tools-1.2.0-0.1.Beta1.fc20,jbossws-cxf-4.2.0-1.fc20,narayana-5.0.0-0.3.M3.fc20,weld-core-2.0.3-1.fc20,qpid-proton-0.5-3.fc20,xml-maven-plugin-1.0-9.fc20,jboss-modules-1.3.0-0.1.Beta3.fc20,jandex-1.1.0-1.fc20,geronimo-validation-1.1-10.fc20,aesh-0.33.7-1.fc20,jansi-1.11-3.fc20,jansi-native-1.5-1.fc20,undertow-1.0.0-0.4.Beta7.fc20,jboss-logmanager-1.5.1-1.fc20,jboss-parent-11-1.fc20,hornetq-2.4.0-0.1.Beta1.fc20,jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20,jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20,wildfly-8.0.0-0.9.Alpha4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jboss-logging-tools-1.2.0-0.1.Beta1.fc20,jbossws-cxf-4.2.0-1.fc20,narayana-5.0.0-0.3.M3.fc20,weld-core-2.0.3-1.fc20,qpid-proton-0.5-3.fc20,xml-maven-plugin-1.0-9.fc20,jboss-modules-1.3.0-0.1.Beta3.fc20,jandex-1.1.0-1.fc20,geronimo-validation-1.1-10.fc20,aesh-0.33.7-1.fc20,jansi-1.11-3.fc20,jansi-native-1.5-1.fc20,undertow-1.0.0-0.4.Beta7.fc20,jboss-logmanager-1.5.1-1.fc20,jboss-parent-11-1.fc20,hornetq-2.4.0-0.1.Beta1.fc20,jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20,jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20,wildfly-8.0.0-0.9.Alpha4.fc20
Comment 3 Fedora Update System 2013-09-18 13:46:25 EDT
Package jboss-logging-tools-1.2.0-0.1.Beta1.fc20, jbossws-cxf-4.2.0-1.fc20, narayana-5.0.0-0.3.M3.fc20, weld-core-2.0.3-1.fc20, qpid-proton-0.5-3.fc20, xml-maven-plugin-1.0-9.fc20, jboss-modules-1.3.0-0.1.Beta3.fc20, jandex-1.1.0-1.fc20, geronimo-validation-1.1-10.fc20, aesh-0.33.7-1.fc20, jansi-1.11-3.fc20, jansi-native-1.5-1.fc20, undertow-1.0.0-0.4.Beta7.fc20, jboss-logmanager-1.5.1-1.fc20, jboss-parent-11-1.fc20, hornetq-2.4.0-0.1.Beta1.fc20, jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20, jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20, wildfly-8.0.0-0.9.Alpha4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jboss-logging-tools-1.2.0-0.1.Beta1.fc20 jbossws-cxf-4.2.0-1.fc20 narayana-5.0.0-0.3.M3.fc20 weld-core-2.0.3-1.fc20 qpid-proton-0.5-3.fc20 xml-maven-plugin-1.0-9.fc20 jboss-modules-1.3.0-0.1.Beta3.fc20 jandex-1.1.0-1.fc20 geronimo-validation-1.1-10.fc20 aesh-0.33.7-1.fc20 jansi-1.11-3.fc20 jansi-native-1.5-1.fc20 undertow-1.0.0-0.4.Beta7.fc20 jboss-logmanager-1.5.1-1.fc20 jboss-parent-11-1.fc20 hornetq-2.4.0-0.1.Beta1.fc20 jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20 jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20 wildfly-8.0.0-0.9.Alpha4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17102/jboss-logging-tools-1.2.0-0.1.Beta1.fc20,jbossws-cxf-4.2.0-1.fc20,narayana-5.0.0-0.3.M3.fc20,weld-core-2.0.3-1.fc20,qpid-proton-0.5-3.fc20,xml-maven-plugin-1.0-9.fc20,jboss-modules-1.3.0-0.1.Beta3.fc20,jandex-1.1.0-1.fc20,geronimo-validation-1.1-10.fc20,aesh-0.33.7-1.fc20,jansi-1.11-3.fc20,jansi-native-1.5-1.fc20,undertow-1.0.0-0.4.Beta7.fc20,jboss-logmanager-1.5.1-1.fc20,jboss-parent-11-1.fc20,hornetq-2.4.0-0.1.Beta1.fc20,jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20,jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20,wildfly-8.0.0-0.9.Alpha4.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-26 20:35:54 EDT
jboss-logging-tools-1.2.0-0.1.Beta1.fc20, jbossws-cxf-4.2.0-1.fc20, narayana-5.0.0-0.3.M3.fc20, weld-core-2.0.3-1.fc20, qpid-proton-0.5-3.fc20, xml-maven-plugin-1.0-9.fc20, jboss-modules-1.3.0-0.1.Beta3.fc20, jandex-1.1.0-1.fc20, geronimo-validation-1.1-10.fc20, aesh-0.33.7-1.fc20, jansi-1.11-3.fc20, jansi-native-1.5-1.fc20, undertow-1.0.0-0.4.Beta7.fc20, jboss-logmanager-1.5.1-1.fc20, jboss-parent-11-1.fc20, hornetq-2.4.0-0.1.Beta1.fc20, jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20, jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20, wildfly-8.0.0-0.9.Alpha4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.